---
apiVersion: source.toolkit.fluxcd.io/v1beta1
kind: GitRepository
metadata:
  name: sylva-core
  namespace: default
  labels:
    copy-from-bootstrap-to-management: ""
spec:
  gitImplementation: libgit2
  interval: 120m
  ref:
    commit: CURRENT_COMMIT # Placeholder that will be replaced by bootstrap.sh and apply.sh commands
  url: https://gitlab.com/sylva-projects/sylva-core.git
---
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: sylva-units
  namespace: default
spec:
  chart:
    spec:
      sourceRef:
        kind: GitRepository
        name: sylva-core
      chart: charts/sylva-units
      reconcileStrategy: Revision
      valuesFiles:
        - charts/sylva-units/values.yaml
  interval: 10m0s
  valuesFrom:
  - optional: true # NOTE: this configmap will only be created in bootstrap cluster
    kind: ConfigMap
    name: management-cluster-bootstrap-values
    valuesKey: bootstrap.values.yaml
  - kind: Secret
    name: management-cluster-secrets
    valuesKey: secrets
  - kind: ConfigMap
    name: management-cluster-values
    valuesKey: values
  values:
    git_repo_templates:
      sylva-core:
        existing_gitrepository: sylva-core
